# ChangeLog for net-firewall/shorewall
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-firewall/shorewall/ChangeLog,v 1.100 2006/03/28 17:49:07 gustavoz Exp $

  28 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  shorewall-3.0.4.ebuild:
  Stable on hppa

  21 Mar 2006; <blubb@gentoo.org> shorewall-3.0.4.ebuild:
  stable on amd64

*shorewall-3.0.5-r1 (19 Feb 2006)

  19 Feb 2006; Marcelo Goes <vanquirius@gentoo.org> +files/shorewall-r1,
  -shorewall-3.0.5.ebuild, +shorewall-3.0.5-r1.ebuild:
  Update init script to use restore functionality for bug 91343. Thanks to
  Christopher DeMarco <cmd at alephant dot net>.

  17 Feb 2006; Michael Hanselmann <hansmi@gentoo.org>
  shorewall-3.0.4.ebuild:
  Stable on ppc.

  15 Feb 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  shorewall-3.0.4.ebuild:
  Stable on sparc

  14 Feb 2006; Andrej Kacian <ticho@gentoo.org> shorewall-3.0.4.ebuild:
  Stable on x86, bug #112942.

*shorewall-3.0.5 (10 Feb 2006)

  10 Feb 2006; Marcelo Goes <vanquirius@gentoo.org> -shorewall-3.0.2.ebuild,
  +shorewall-3.0.5.ebuild:
  3.0.5 version bump for bug 112942, thanks to Vieri <rentorbuy at yahoo dot
  com>.

*shorewall-3.0.4 (18 Jan 2006)

  18 Jan 2006; Marcelo Goes <vanquirius@gentoo.org> -shorewall-2.4.4.ebuild,
  -shorewall-2.4.6.ebuild, +shorewall-3.0.4.ebuild:
  3.0.4 version bump. Fixes bug 112942. Thanks to Vieri <rentorbuy at yahoo
  dot com>.

  17 Dec 2005; Markus Rothe <corsair@gentoo.org> ChangeLog:
  Added ~ppc64

  17 Dec 2005; Markus Rothe <corsair@gentoo.org> shorewall-3.0.2.ebuild:
  Added ~ppc64

*shorewall-3.0.2 (07 Dec 2005)

  07 Dec 2005; Marcelo Goes <vanquirius@gentoo.org> +shorewall-3.0.2.ebuild:
  3.0.2 version bump for bug 112942. Thanks to Vieri <rentorbuy at yahoo dot
  com> and others.

*shorewall-2.4.6 (05 Nov 2005)

  05 Nov 2005; Marcelo Goes <vanquirius@gentoo.org> +shorewall-2.4.6.ebuild:
  2.4.6 version bump for bug 111567. Thanks to Joakim <moonwalker at astro dot
  nu>.

  14 Sep 2005; Daniel Black <dragonheart@gentoo.org>
  -shorewall-2.4.1.ebuild:
  remove vulnerable version

  14 Sep 2005; Fernando J. Pereda <ferdy@gentoo.org> shorewall-2.4.2.ebuild:
  stable on alpha, wrt bug #99398

  13 Sep 2005; Michael Hanselmann <hansmi@gentoo.org>
  shorewall-2.4.2.ebuild:
  Stable on hppa.

  13 Sep 2005; Simon Stelling <blubb@gentoo.org> shorewall-2.4.2.ebuild:
  stable on amd64 wrt bug 99398

  13 Sep 2005; Daniel Black <dragonheart@gentoo.org>
  -shorewall-2.0.17.ebuild, -shorewall-2.2.6.ebuild:
  removed 2.0.17 and 2.2.6 - no major upgrade transition plans mentioned in
  the comprehensive shorewall documentation. Thanks Gustavo for convincing me

  13 Sep 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  shorewall-2.4.2.ebuild:
  Stable on sparc wrt #99398

*shorewall-2.4.4 (13 Sep 2005)
*shorewall-2.4.2 (13 Sep 2005)
*shorewall-2.2.6 (13 Sep 2005)
*shorewall-2.0.17 (13 Sep 2005)

  13 Sep 2005; Daniel Black <dragonheart@gentoo.org>
  -shorewall-2.0.7.ebuild, -shorewall-2.0.13.ebuild,
  +shorewall-2.0.17.ebuild, -shorewall-2.2.0_rc5.ebuild,
  -shorewall-2.2.0.ebuild, -shorewall-2.2.3.ebuild, -shorewall-2.2.4.ebuild,
  -shorewall-2.2.5.ebuild, +shorewall-2.2.6.ebuild, -shorewall-2.4.0.ebuild,
  +shorewall-2.4.2.ebuild, +shorewall-2.4.4.ebuild:
  GLSA 200507-20 was not corrected properly. Fixes are included in 2.0.17,
  2.2.6 and 2.4.2. 2.4.4 is just a version bump. Removed most vulnerable
  versions (except 2.4.1 awaiting arch testing)

  21 Jul 2005; Bryan Østergaard <kloeri@gentoo.org> shorewall-2.4.1.ebuild:
  Stable on alpha, bug 99398.

  20 Jul 2005; Gustavo Zacarias <gustavoz@gentoo.org> files/shorewall:
  We actually want to make sure it starts after ulogd since it can be used as
  a logger

  18 Jul 2005; Rene Nussbaumer <killerfox@gentoo.org>
  shorewall-2.4.1.ebuild:
  Stable on hppa. bug #99398

  18 Jul 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  shorewall-2.4.1.ebuild:
  Stable on sparc wrt #99398

  18 Jul 2005; Danny van Dyk <kugelfang@gentoo.org> shorewall-2.4.1.ebuild:
  Marked stable on amd64 wrt Security BUG #99398.

*shorewall-2.2.5 (18 Jul 2005)

  18 Jul 2005; Daniel Black <dragonheart@gentoo.org>
  shorewall-2.0.13.ebuild, shorewall-2.2.0_rc5.ebuild,
  shorewall-2.2.0.ebuild, shorewall-2.2.4.ebuild, +shorewall-2.2.5.ebuild,
  shorewall-2.4.0.ebuild, shorewall-2.4.1.ebuild:
  version bump and ppc/x86 stable for
  http://seclists.org/lists/fulldisclosure/2005/Jul/0409.html

*shorewall-2.4.1 (15 Jul 2005)

  15 Jul 2005; Aaron Walker <ka0ttic@gentoo.org> +shorewall-2.4.1.ebuild:
  Version bump.

  02 Jul 2005; Bryan Østergaard <kloeri@gentoo.org> shorewall-2.2.3.ebuild:
  Stable on alpha.

  22 Jun 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  shorewall-2.2.3.ebuild:
  Stable on sparc

  20 Jun 2005; Jonathan Smith <smithj@gentoo.org> -shorewall-1.4.10f.ebuild,
  -shorewall-2.0.4.ebuild, -shorewall-2.2.2.ebuild, shorewall-2.2.3.ebuild:
  2.2.3 stable x86; cleanup

  17 Jun 2005; Michael Hanselmann <hansmi@gentoo.org>
  shorewall-2.0.7.ebuild:
  Stable on ppc.

*shorewall-2.4.0 (14 Jun 2005)

  14 Jun 2005; Aaron Walker <ka0ttic@gentoo.org> +shorewall-2.4.0.ebuild:
  Version bump for bug 95887.

  14 May 2005; Guy Martin <gmsoft@gentoo.org> shorewall-2.2.4.ebuild:
  Stable on hppa.

*shorewall-2.2.4 (06 May 2005)

  06 May 2005; Marcelo Goes <vanquirius@gentoo.org> +shorewall-2.2.4.ebuild:
  Version bump, fixes bug 91662. Thanks to Costas Cavouracis <cca@freemail.gr>
  and Joseph Booker <joe@neoturbine.net>.

*shorewall-2.2.3 (20 Apr 2005)

  20 Apr 2005; Aaron Walker <ka0ttic@gentoo.org> +shorewall-2.2.3.ebuild:
  Version bump for bug 88947.

*shorewall-2.2.2 (23 Mar 2005)

  23 Mar 2005; Marcelo Goes <vanquirius@gentoo.org> +shorewall-2.2.2.ebuild:
  Version bump.

  21 Feb 2005; Jan Brinkmann <luckyduck@gentoo.org>
  shorewall-2.2.0_rc5.ebuild:
  stable on amd64. fixes #82640

*shorewall-2.2.0 (02 Feb 2005)

  02 Feb 2005; Aaron Walker <ka0ttic@gentoo.org> +shorewall-2.2.0.ebuild:
  Version bump for bug 79907.

*shorewall-2.2.0_rc5 (25 Jan 2005)

  25 Jan 2005; Aaron Walker <ka0ttic@gentoo.org> -shorewall-2.0.10.ebuild,
  +shorewall-2.2.0_rc5.ebuild:
  Version bump for bug 78468. Removed 2.0.10.

  22 Jan 2005; Bryan Østergaard <kloeri@gentoo.org> shorewall-2.0.7.ebuild:
  Stable on alpha.

  29 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

*shorewall-2.0.13 (17 Dec 2004)

  17 Dec 2004; Eldad Zack <eldad@gentoo.org> +shorewall-2.0.13.ebuild,
  -shorewall-2.0.6.ebuild:
  Version bump

  11 Dec 2004; Jason Wever <weeve@gentoo.org> shorewall-2.0.7.ebuild:
  Stable on sparc.

  22 Nov 2004; Eldad Zack <eldad@gentoo.org> shorewall-2.0.6.ebuild,
  shorewall-2.0.7.ebuild:
  x86 stable

*shorewall-2.0.10 (21 Nov 2004)

  21 Nov 2004; Eldad Zack <eldad@gentoo.org> +shorewall-2.0.10.ebuild:
  Version bump. Closes #63867.

  21 Nov 2004; Eldad Zack <eldad@gentoo.org> files/shorewall:
  initscript: added clear function to remove firewall rules, /dev/null'd restart
  output. Closes #24882.

  22 Aug 2004; Bryan Østergaard <kloeri@gentoo.org> shorewall-2.0.4.ebuild:
  Stable on alpha.

  20 Aug 2004; Gustavo Zacarias <gustavoz@gentoo.org> shorewall-2.0.4.ebuild:
  Stable on sparc

  17 Aug 2004; Eldad Zack <eldad@gentoo.org> shorewall-2.0.4.ebuild:
  x86 stable

*shorewall-2.0.7 (07 Aug 2004)

  07 Aug 2004; Jon Hood <squinky86@gentoo.org> +shorewall-2.0.7.ebuild:
  Version bump, closes #59682; thanks Andreas Simon <yuipx@gmx.net>!

*shorewall-2.0.6 (21 Jul 2004)

  21 Jul 2004; Martin Holzer <mholzer@gentoo.org> shorewall-2.0.6.ebuild:
  Version bumped.

  09 Jul 2004; Aron Griffis <agriffis@gentoo.org> files/shorewall:
  Fix bug 55576: Mention svc_stop/svc_start in the init-script so that
  runscript.sh doesn't complain

*shorewall-2.0.4 (09 Jul 2004)

  09 Jul 2004; Eldad Zack <eldad@gentoo.org> +shorewall-2.0.4.ebuild:
  Version bump. Closes #56375

  08 Jul 2004; Luca Barbato <lu_zero@gentoo.org> shorewall-1.4.10f.ebuild:
  Marked ppc

  07 Jul 2004; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.10f.ebuild:
  x86 stable

*shorewall-2.0.3c (07 Jul 2004)

  07 Jul 2004; Martin Holzer <mholzer@gentoo.org> +shorewall-2.0.3c.ebuild:
  Version bumped. Fixes 55816

  03 Jul 2004; Jason Wever <weeve@gentoo.org> shorewall-1.4.10f.ebuild:
  Stable on sparc.

  03 Jul 2004; Bryan Østergaard <kloeri@gentoo.org> shorewall-1.4.10f.ebuild:
  Stable on alpha, bug #55675.

  02 Jul 2004; Martin Holzer <mholzer@gentoo.org> shorewall-2.0.3a.ebuild:
  minor fixes. see 51260

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  shorewall-1.4.10b.ebuild, shorewall-1.4.10c.ebuild,
  shorewall-1.4.10f.ebuild, shorewall-1.4.5-r1.ebuild,
  shorewall-2.0.3a.ebuild:
  virtual/glibc -> virtual/libc

*shorewall-2.0.3a (01 Jul 2004)
*shorewall-1.4.10f (01 Jul 2004)

  01 Jul 2004; Martin Holzer <mholzer@gentoo.org> +shorewall-2.0.3a.ebuild:
  Version bumped. Closes  55675

  09 Jun 2004; Aron Griffis <agriffis@gentoo.org> shorewall-1.4.10b.ebuild,
  shorewall-1.4.10c.ebuild, shorewall-1.4.5-r1.ebuild, shorewall-2.0.0.ebuild,
  shorewall-2.0.1.ebuild:
  Fix use invocation

  24 May 2004; Bryan Østergaard <kloeri@gentoo.org> shorewall-1.4.10c.ebuild:
  Keyworded alpha, requested in bug #51550.

  21 Apr 2004; rob holland <tigger@gentoo.org> shorewall-1.4.10b.ebuild,
  shorewall-1.4.10c.ebuild, shorewall-1.4.5-r1.ebuild, shorewall-2.0.0.ebuild,
  shorewall-2.0.1.ebuild:
  Fix iproute dep after spanky broke it ;P

*shorewall-2.0.1 (20 Apr 2004)

  20 Apr 2004; Martin Holzer <mholzer@gentoo.org> shorewall-2.0.1.ebuild:
  Version bumped. Closes 41907 

*shorewall-2.0.0 (19 Apr 2004)

  19 Apr 2004; Martin Holzer <mholzer@gentoo.org> shorewall-2.0.0.ebuild:
  Version bumped.

  18 Apr 2004; Dylan Carlson <absinthe@gentoo.org> shorewall-1.4.10c.ebuild:
  Added ~amd64 to KEYWORDS.

  03 Mar 2004; Jason Wever <weeve@gentoo.org> shorewall-1.4.10b.ebuild:
  Marked stable on sparc.

  02 Mar 2004; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.10b.ebuild:
  x86 stable.

*shorewall-1.4.10c (02 Mar 2004)

  02 Mar 2004; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.10c.ebuild:
  Version bumpe.d

*shorewall-1.4.10b (28 Feb 2004)

  28 Feb 2004; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.10b.ebuild:
  Version bumped.

*shorewall-1.4.10a (11 Feb 2004)

  11 Feb 2004; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.10a.ebuild:
  Version bumped. Closes 41239.

  06 Dec 2003; Jason Wever <weeve@gentoo.org> shorewall-1.4.7c.ebuild:
  Marked stable on sparc.

*shorewall-1.4.8 (19 Nov 2003)

  19 Nov 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.8.ebuild:
  Version bumped. Closes #33138.

*shorewall-1.4.7c (02 Nov 2003)

  02 Nov 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.6-r3.ebuild,
  shorewall-1.4.7c.ebuild:
  Version bupmed. Closes #32294

  22 Oct 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.5-r1.ebuild,
  shorewall-1.4.6-r3.ebuild:
  adding RESTRICT="nomirror"

  25 Sep 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.6-r3.ebuild:
  Added more docs to install. Closes #29476.

*shorewall-1.4.6-r3 (27 Aug 2003)

  27 Aug 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.6-r3.ebuild:
  Version bumped.

*shorewall-1.4.6-r2 (06 Aug 2003)

  06 Aug 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.6-r2.ebuild:
  Version bumped.

*shorewall-1.4.6-r1 (25 Jul 2003)

  25 Jul 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.6-r1.ebuild:
  Subrelease of 1.4.6

*shorewall-1.4.6 (22 Jul 2003)

  22 Jul 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.6.ebuild,
  files/shorewall:
  Version bumped.

*shorewall-1.4.5-r1 (15 Jul 2003)

  15 Jul 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.5-r1.ebuild:
  Adding docs. Marked x86 stable. Closes #24518
  
*shorewall-1.4.5 (23 Jun 2003)

  23 Jun 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.5.ebuild:
  Version bumped.

  19 Jun 2003; Seemant Kulleen <seemant@gentoo.org> shorewall-1.4.4b.ebuild:
  stop /var/lib/shorewall from being removed on remerge, and /var/state is
  provided by baselayout

*shorewall-1.4.4a (12 Jun 2003)

  12 Jun 2003; <msterret@gentoo.org> shorewall-1.4.4.ebuild,
  shorewall-1.4.4a.ebuild, shorewall-1.4.4b.ebuild:
  fix Header

*shorewall-1.4.4b (29 May 2003)

  29 May 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.4b.ebuild:
  Version bumped & x86 stable

*shorewall-1.4.4 (24 May 2003)

  24 May 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.3.ebuild,
  shorewall-1.4.3.ebuild, shorewall-1.4.3a.ebuild, shorewall-1.4.4.ebuild:
  Version bumped & Marked stable & Cleanup.

*shorewall-1.4.3a (20 May 2003)

  20 May 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.3.ebuild,
  shorewall-1.4.3a.ebuild:
  Version bumped.

*shorewall-1.4.3 (18 May 2003)

  20 May 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.3.ebuild:
  Fixing ebuild

  18 May 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.3.ebuild:
  Version bumped.

*shorewall-1.4.2 (14 Apr 2003)

  22 Apr 2003; Martin Holzer <mholzer@gentoo.org> Manifest,
  shorewall-1.4.1a.ebuild, shorewall-1.4.2.ebuild:
  Remove to install a startup script through install.sh Closes #19208.

  14 Apr 2003; Martin Holzer <mholzer@gentoo.org> Manifest,
  shorewall-1.4.2.ebuild:
  Version bumped.

*shorewall-1.4.1a (03 Apr 2003)

  03 Apr 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.4.1a.ebuild:
  Version bumped. Closes #18273.

*shorewall-1.4.0 (19 Mar 2003)

  19 Mar 2003; Zach Welch <zwelch@gentoo.org> shorewall-1.4.0.ebuild:
  bump version; bug 17847

*shorewall-1.3.14 (24 Feb 2003)

  11 Mar 2003; Martin Holzer <mholzer@gentoo.org> shorewall-1.3.13.ebuild,
  shorewall-1.3.14.ebuild, shorewall-1.3.9b.ebuild:
  changed sys-apps/iptables to net-firewall/iptables

  24 Feb 2003; Zach Welch <zwelch@gentoo.org> shorewall-1.3.14.ebuild files/digest-shorewall-1.3.14 :
  Bump version; closes bug 15555

*shorewall-1.3.13 (05 Feb 2003)

  05 Feb 2003; Daniel Ahlberg <aliz@gentoo.org> shorewall-1.3.13.ebuild :
  Version bump, closes #10770.

  Relocated to net-firewall.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*shorewall-1.3.9b (17 Oct 2002)
  23 Oct 2002; Zach Welch <zwelch@gentoo.org> :
  update and commit ebuild

  17 Oct 2002; Andreas Erhart <andi@zollhaus.net> :
  shorewall-1.3.9b.ebuild, files/digest-shorewall-1.3.9b
  initial release
